# Funkwhale API client

A [Typescript](https://www.typescriptlang.org/) client library for accessing the Funkwhale API.

> **Note**: This client is under active development and is not considered production-ready.

This library is intended for use in the Funkwhale frontend and any projects that rely on Funkwhale's API endpoints. Check out the [docs](https://dev.funkwhale.audio/funkwhale/api-client-typescript/-/blob/main/docs/index.md) for usage information.

## Contribute to development

The Funkwhale API client is generated from the Funkwhale OpenAPI schema. If you notice an issue with the API itself, consider contributing to [Funkwhale](https://dev.funkwhale.audio/funkwhale/funkwhale).

## Make an release

Run `yarn version` to set a new version. Yarn automatically commits the changes
and sets a tag. Now run `git push --tags && git push` and the Pipeline will take
care for the publication.
