import { defineConfig } from 'vite'

export default defineConfig(() => ({
  build: {
    lib: {
      entry: './src/index.ts',
      name: '@funkwhale/api'
    },
    rollupOptions: {
      external: ['vue', 'vuex'],
      output: {
        exports: 'named',
        globals: {
          vue: 'Vue'
        }
      }
    }
  },
  publicDir: false
}))
